> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Employee Information

> Update a specific employee record in Zeal.



## OpenAPI

````yaml openapi/zeal-api.json patch /employees
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /employees:
    patch:
      summary: Update Employee Information
      description: Update a specific employee record.
      operationId: update-employee-information
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - employee
              properties:
                companyID:
                  type: string
                  description: Company ID of the employer.
                employee:
                  type: object
                  description: Refer to [Employee](ref:the-employee-object)
                  required:
                    - employeeID
                  properties:
                    employeeID:
                      type: string
                      description: The ID of the Employee
                    first_name:
                      type: string
                      description: First name of the employee
                    last_name:
                      type: string
                      description: Last name of the employee
                    title:
                      type: string
                      description: Title of Employee
                    dob:
                      type: string
                      description: Date of birth of employee (formatted as YYYY-MM-DD)
                      format: date
                    employment_status:
                      type: string
                      description: >-
                        The employment status of the employee. Accepts
                        terminated, live, on leave
                    email:
                      type: string
                      description: Email address of the Employee
                    workLocationID:
                      type: string
                      description: The ID of the work location of the employee
                    address:
                      type: string
                      description: Residential Street Address of employee
                    address_line2:
                      type: string
                      description: Residential Street Address Line 2 of Employee
                    city:
                      type: string
                      description: Residential City of employee
                    state:
                      type: string
                      description: Residential State of employee
                    zip:
                      type: string
                      description: Residential Zip of employee
                    phone_number:
                      type: string
                      description: Phone Number of employee
                    start_date:
                      type: string
                      description: The starting date of the employee
                      format: date
                    default_pay_schedule:
                      type: string
                      description: >-
                        The pay schedule of the employee (daily, weekly,
                        biweekly, semimonthly, monthly)
                    default_wage:
                      type: number
                      description: Default wage of Employee
                      format: float
                    default_ot_wage:
                      type: number
                      description: >-
                        The wage for overtime pay. NOT a rate but a whole number
                        representing the overtime wage.
                      format: float
                    default_dt_wage:
                      type: number
                      description: >-
                        The wage for doubletime pay. NOT a rate but a whole
                        number representing the doubletime wage.
                      format: float
                    ssn:
                      type: string
                      description: Social Security Number of employee
                    term_date:
                      type: string
                      description: Date of employee termination
                      format: date
                    salary_firstDate:
                      type: string
                      description: Date of the first salaried autopilot check for employee
                      format: date
                    salary:
                      type: integer
                      description: Salary amount for autopilot
                      format: int32
                    autopilot_on:
                      type: boolean
                      description: >-
                        Determine whether or not autopilot is on or off to make
                        employee salaried
                    external_id:
                      type: string
                      description: >-
                        External ID for an employee that comes from an
                        employer's HR or other internal system
                    metadata:
                      type: object
                      description: Employee metadata
                      properties: {}
                    soc_code:
                      type: string
                      description: >-
                        The Standard Occupational Classification (SOC) code for
                        the employee, in NN-NNNN format
            examples:
              Request Example:
                value:
                  employeeID: '1234567890'
                  companyID: '0987654321'
                  onboarded: true
                  employment_status: live
                  term_date: null
                  first_name: erlich
                  last_name: bachman
                  email: erlich@zeal.com
                  dob: '1999-12-04'
                  start_date: '2019-06-04'
                  title: Brand Ambassador
                  working_state: CA
                  workLocationID: 6247402f38756100224f0a52
                  address: 320 Pancake Hollow Road
                  address_line2: null
                  city: Highland
                  state: NY
                  zip: '12528'
                  phone_number: '+18214370987'
                  default_pay_schedule: weekly
                  default_wage: 20
                  default_ot_wage: 30
                  default_dt_wage: 40
                  ssn: '123456789'
                  is_943: true
                  is_scheduleH: false
                  is_salary: true
                  salary: 100000
                  external_id: '123456789'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      employeeID: 6196c0afa360c70024268b26
                      companyID: 123441526234234ertys
                      onboarded: false
                      employment_status: live
                      term_date: null
                      first_name: Elrich
                      last_name: Bachmann
                      email: elrichbachmann@zeal.com
                      dob: '1999-12-04'
                      start_date: '2019-06-04'
                      title: Brand Ambassador
                      working_state: CA
                      workLocationID: 531fece70b6d0b5d29c9f352
                      address: 320 Pancake Hollow Road
                      city: Highland
                      state: NY
                      zip: '12528'
                      phone_number: '8716738956'
                      default_pay_schedule: daily
                      default_wage: 20
                      default_ot_wage: 32
                      default_dt_wage: 42
                      ssn: '087473892'
                      is_943: false
                      is_scheduleH: false
                      is_salary: true
                      salary: 100000
                      paycard_requested: false
                      paycard_enabled: false
                      kyc_status: null
                      ssn_verification_status: null
                      soc_code: 41-3011
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: object
                    properties:
                      employeeID:
                        type: string
                        example: 6196c0afa360c70024268b26
                      companyID:
                        type: string
                        example: 123441526234234ertys
                      onboarded:
                        type: boolean
                        example: false
                        default: true
                      employment_status:
                        type: string
                        example: live
                      term_date:
                        path: /orders-4
                      first_name:
                        type: string
                        example: Elrich
                      last_name:
                        type: string
                        example: Bachmann
                      email:
                        type: string
                        example: elrichbachmann@zeal.com
                      dob:
                        type: string
                        example: '1999-12-04'
                      start_date:
                        type: string
                        example: '2019-06-04'
                      title:
                        type: string
                        example: Brand Ambassador
                      working_state:
                        type: string
                        example: CA
                      workLocationID:
                        type: string
                        example: 531fece70b6d0b5d29c9f352
                      address:
                        type: string
                        example: 320 Pancake Hollow Road
                      city:
                        type: string
                        example: Highland
                      state:
                        type: string
                        example: NY
                      zip:
                        type: string
                        example: '12528'
                      phone_number:
                        type: string
                        example: '8716738956'
                      default_pay_schedule:
                        type: string
                        example: daily
                      default_wage:
                        type: integer
                        example: 20
                        default: 0
                      default_ot_wage:
                        type: integer
                        example: 32
                        default: 0
                      default_dt_wage:
                        type: integer
                        example: 42
                        default: 0
                      ssn:
                        type: string
                        example: '087473892'
                      is_943:
                        type: boolean
                        example: false
                        default: true
                      is_scheduleH:
                        type: boolean
                        example: false
                        default: true
                      is_salary:
                        type: boolean
                        example: true
                        default: true
                      salary:
                        type: integer
                        example: 100000
                        default: 0
                      paycard_requested:
                        type: boolean
                        example: false
                        default: true
                      paycard_enabled:
                        type: boolean
                        example: false
                        default: true
                      kyc_status:
                        path: /orders-4
                      ssn_verification_status:
                        path: /orders-4
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Working State does not represent a state in the US
                        code: 13
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Working State does not represent a state in the US
                        code:
                          type: integer
                          example: 13
                          default: 0
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````